Std OrthographicCamera/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 14: Line 14:
==Descrizione==
==Descrizione==


Il comando '''Std OrthographicCamera''' commuta la [[3D_view/it|vista 3D]] attiva nella modalità di visualizzazione ortografica. In questa modalità, gli oggetti più lontani dalla fotocamera non appaiono più piccoli di quelli più vicini.
Il comando '''Vista ortografica''' commuta la [[3D_view/it|vista 3D]] attiva nella modalità di visualizzazione ortografica. In questa modalità, gli oggetti più lontani dalla fotocamera non appaiono più piccoli di quelli più vicini.


[[Image:Std_OrthographicCamera_example.svg]]
[[Image:Std_OrthographicCamera_example.svg]]

Revision as of 18:37, 27 June 2020

Vista ortografica

Posizione nel menu
Visualizza → Vista ortografica
Ambiente
Tutti
Avvio veloce
V O
Introdotto nella versione
-
Vedere anche
Vista in prospettiva

Descrizione

Il comando Vista ortografica commuta la vista 3D attiva nella modalità di visualizzazione ortografica. In questa modalità, gli oggetti più lontani dalla fotocamera non appaiono più piccoli di quelli più vicini.

Two cubes with the same dimensions in orthographic view

Utilizzo

  1. There are several ways to invoke the command:
    • Select the View → Orthographic view option from the menu.
    • Use the keyboard shortcut: V then O.

Notes

  • It is also possible to switch to orthographic view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to orthographic use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()